> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /zapimoveis/properties/search

> Search ZAP Imóveis real-estate listings across Brazil by free-text location (city, neighborhood or street) with sale, rental or new-development context and a full set of filters (property type, price range, usable area range, bedrooms, bathrooms, parking, construction stage, amenities, listing code, sort). Returns listings with title, description, address and coordinates, price, condo fee, IPTU, areas, bedrooms, bathrooms, suites, parking, amenities, advertiser, images and image count.

**Price:** 10 credits per 30 results

**⚠️ Common errors:** 412: No matching location found for the given text



## OpenAPI

````yaml /openapi/real-estate.json post /api/zapimoveis/properties/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/zapimoveis/properties/search:
    post:
      tags:
        - /zapimoveis
      summary: /zapimoveis/properties/search
      description: >-
        Search ZAP Imóveis real-estate listings across Brazil by free-text
        location (city, neighborhood or street) with sale, rental or
        new-development context and a full set of filters (property type, price
        range, usable area range, bedrooms, bathrooms, parking, construction
        stage, amenities, listing code, sort). Returns listings with title,
        description, address and coordinates, price, condo fee, IPTU, areas,
        bedrooms, bathrooms, suites, parking, amenities, advertiser, images and
        image count.


        **Price:** 10 credits per 30 results


        **⚠️ Common errors:** 412: No matching location found for the given text
      operationId: __api_zapimoveis_properties_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZapimoveisSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ZapimoveisProperty'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ZapimoveisSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        location:
          type: string
          minLength: 1
        business_type:
          $ref: '#/components/schemas/ZapimoveisBusinessType'
          default: SALE
        property_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZapimoveisPropertyType'
              type: array
            - type: 'null'
        min_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_area:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_area:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        bedrooms_min:
          anyOf:
            - type: integer
              maximum: 4
              minimum: 1
            - type: 'null'
        bathrooms_min:
          anyOf:
            - type: integer
              maximum: 4
              minimum: 1
            - type: 'null'
        parking_min:
          anyOf:
            - type: integer
              maximum: 4
              minimum: 1
            - type: 'null'
        listing_stage:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZapimoveisListingStage'
              type: array
            - type: 'null'
        amenities:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZapimoveisAmenity'
              type: array
            - type: 'null'
        listing_code:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        sort:
          $ref: '#/components/schemas/ZapimoveisSort'
          default: relevance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - location
        - count
    ZapimoveisProperty:
      properties:
        '@type':
          type: string
          default: ZapimoveisProperty
        id:
          type: string
        url:
          type: string
        business_type:
          anyOf:
            - type: string
            - type: 'null'
        listing_type:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        unit_types:
          items:
            type: string
          type: array
          default: []
        unit_sub_types:
          items:
            type: string
          type: array
          default: []
        publication_type:
          anyOf:
            - type: string
            - type: 'null'
        construction_status:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        street_number:
          anyOf:
            - type: string
            - type: 'null'
        neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        zone:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        state_acronym:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        location_id:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        total_price:
          anyOf:
            - type: number
            - type: 'null'
        condo_fee:
          anyOf:
            - type: number
            - type: 'null'
        iptu:
          anyOf:
            - type: number
            - type: 'null'
        usable_area:
          anyOf:
            - type: number
            - type: 'null'
        total_area:
          anyOf:
            - type: number
            - type: 'null'
        usable_area_max:
          anyOf:
            - type: number
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        suite_count:
          anyOf:
            - type: integer
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        parking_count:
          anyOf:
            - type: integer
            - type: 'null'
        unit_floor:
          anyOf:
            - type: integer
            - type: 'null'
        floor_count:
          anyOf:
            - type: integer
            - type: 'null'
        accepts_exchange:
          anyOf:
            - type: boolean
            - type: 'null'
        external_id:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        amenities:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/ZapimoveisSeller'
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ZapimoveisBusinessType:
      type: string
      enum:
        - SALE
        - RENTAL
        - DEVELOPMENT
    ZapimoveisPropertyType:
      type: string
      enum:
        - APARTMENT
        - STUDIO
        - KITNET
        - LOFT
        - PENTHOUSE
        - FLAT
        - HOME
        - TWO_STORY_HOUSE
        - VILLAGE_HOUSE
        - CONDO_HOUSE
        - ALLOTMENT_LAND
        - CONDOMINIUM
        - FARM
        - SHED_DEPOSIT_WAREHOUSE
        - BUSINESS
        - OFFICE
        - CORPORATE_FLOOR
        - BUILDING
        - HOTEL_FLAT
        - GARAGE
    ZapimoveisListingStage:
      type: string
      enum:
        - PLAN_ONLY
        - UNDER_CONSTRUCTION
        - BUILT
    ZapimoveisAmenity:
      type: string
      enum:
        - PETS_ALLOWED
        - HEATING
        - AIR_CONDITIONING
        - SERVICE_AREA
        - BUILTIN_WARDROBE
        - KITCHEN_CABINETS
        - CLOSET
        - INTERNET_ACCESS
        - AMERICAN_KITCHEN
        - DEPOSIT
        - HOME_OFFICE
        - INTERCOM
        - FURNISHED
        - CABLE_TV
        - BALCONY
        - GOURMET_BALCONY
        - LAVABO
        - PANTRY
        - PORCELAIN
        - WOOD_FLOOR
        - COLD_FLOOR
        - EXTERIOR_VIEW
        - SERVICE_BATHROOM
        - DINNER_ROOM
        - COPA
        - ENTRANCE_HALL
        - BARBECUE_BALCONY
        - WALL_BALCONY
        - GYM
        - FITNESS_ROOM
        - BARBECUE_GRILL
        - CINEMA
        - GOURMET_SPACE
        - GREEN_SPACE
        - GARDEN
        - POOL
        - ADULT_POOL
        - CHILDRENS_POOL
        - HEATED_POOL
        - PLAYGROUND
        - TOYS_PLACE
        - TENNIS_COURT
        - SPORTS_COURT
        - INDOOR_SOCCER
        - PARTY_HALL
        - ADULT_GAME_ROOM
        - GAMES_ROOM
        - RECREATION_AREA
        - PET_SPACE
        - DISABLED_ACCESS
        - BICYCLES_PLACE
        - COWORKING
        - KITCHEN
        - ELEVATOR
        - GARAGE
        - ELECTRIC_GENERATOR
        - LAUNDRY
        - RECEPTION
        - SAUNA
        - SPA
        - SAFETY_CIRCUIT
        - GATED_COMMUNITY
        - ELECTRONIC_GATE
        - CONCIERGE_24H
        - ALARM_SYSTEM
        - WATCHMAN
        - CARETAKER
        - PATROL
        - ARMORED_SECURITY_CABIN
        - NEAR_PUBLIC_TRANSPORT
        - NEAR_SCHOOL
        - NEAR_HOSPITAL
        - NEAR_SHOPPING_CENTER
        - NEAR_ACCESS_ROADS
        - ESSENTIAL_PUBLIC_SERVICES
    ZapimoveisSort:
      type: string
      enum:
        - relevance
        - price_asc
        - price_desc
        - area_desc
        - area_asc
        - newest
    ZapimoveisSeller:
      properties:
        '@type':
          type: string
          default: ZapimoveisSeller
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        license_number:
          anyOf:
            - type: string
            - type: 'null'
        legacy_zap_id:
          anyOf:
            - type: string
            - type: 'null'
        legacy_vivareal_id:
          anyOf:
            - type: string
            - type: 'null'
        phones:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````